import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user";
import {relatedQualityColumns} from "@/views/dataStandards/basicStandards/basicStandards.data";
import {GrowCardItem} from "@/views/dashboard/analysis/data"; // 引入开关组件
type CheckedType = boolean | string | number;

/**主页面树/列表 数据*/
export const TreeData: any[] = [
  {
    businessId: 100,
    treeName: '全选',
    anotherName: '全选',
    parentId: 0,
  },
  {
    businessId: 201,
    treeName: '共享工作区',
    anotherName: '共享工作区',
    parentId: 100,
  },
  {
    businessId: 202,
    treeName: '商城工作区',
    anotherName: '商城工作区',
    parentId: 100,
  },
  {
    businessId: 203,
    treeName: 'admin个人工作区',
    anotherName: 'admin个人工作区',
    parentId: 100,
  },
];

/**主页面列表 数据*/
export const tableData: any[] =[
  {
    id:1,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:2,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:3,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:4,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:5,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:6,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:7,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:8,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:9,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
]
/**主页面 左侧List*/
export const treeData2:any[] = [
  {
    key: 2,
    desc: 'gxx/jira/test',
    title: 'test',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 3,
    desc: 'gxx/jira/90017-4',
    title: '90017-4',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 4,
    desc: 'gxx/jira/字段映射',
    title: '字段映射',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 5,
    desc: 'gxx/jira/wuqi_test',
    title: 'wuqi_test',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 6,
    desc: 'gxx/jira/目标端规则顺序生效问题',
    title: '目标端规则顺序生效问题',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 7,
    desc: 'gxx/jira/oracle-argo-吞如-单表-test',
    title: 'oracle-argo-吞如-单表-test',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 8,
    desc: 'admin-个人工作区/xuekai/多个映射规则配置',
    title: '多个映射规则配置',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 9,
    desc: 'gxx/jira/oracle-mysql',
    title: 'oracle-mysql',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
]
